Skip to main content
`Ctrl`+`K`

# PetscLogHandlerStop

Disconnect a log handler from PETSc’s global logging stream.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerStop(PetscLogHandler h)

Logically collective

## Input Parameters

- h - a `PetscLogHandler`

## Note

After `PetscLogHandlerStop()`, the handler can still access the global logging state with `PetscLogHandlerGetState()`, so that it can access the registry when post-processing (for instance, in `PetscLogHandlerView()`),

When a log handler is stopped, the remaining stages will be popped before it is disconnected from the log stream.

## See Also

Profiling, `PetscLogHandler`, `PetscLogState`, `PetscLogHandlerStart()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages